/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2020-08-07
 * Changed:         2026-06-23
 *
 * */

#ifndef LS_STD_I_BOXING_HPP
#define LS_STD_I_BOXING_HPP

#include <ls-std/os/dynamic-goal.hpp>
#include <string>

namespace ls::standard::core::interface_type
{
  class LS_STD_DYNAMIC_GOAL IBoxing
  {
    public:

      IBoxing();
      virtual ~IBoxing();

      virtual void parse(const ::std::string &_parseText) = 0;
      virtual ::std::string toString() = 0;
  };
}

#endif
